## GtkPlotArray GtkPlotArray |

## Functions

GObject * | gtk_plot_array_new ()
void | gtk_plot_array_set ()
void | gtk_plot_array_set_label ()
void | gtk_plot_array_set_description ()
void | gtk_plot_array_set_scale ()
void | gtk_plot_array_set_required ()
void | gtk_plot_array_set_independent ()
GType | gtk_plot_array_get_data_type ()
const gchar * | gtk_plot_array_get_name ()
const gchar * | gtk_plot_array_get_label ()
const gchar * | gtk_plot_array_get_description ()
gboolean | gtk_plot_array_required ()
gboolean | gtk_plot_array_independent ()
gdouble | gtk_plot_array_get_scale ()
gint | gtk_plot_array_get_size ()
gfloat * | gtk_plot_array_get_float ()
gdouble * | gtk_plot_array_get_double ()
gint * | gtk_plot_array_get_int ()
gboolean * | gtk_plot_array_get_bool ()
gchar ** | gtk_plot_array_get_string ()
gpointer * | gtk_plot_array_get_pointer ()
void | gtk_plot_array_free ()
GObject * | gtk_plot_array_list_new ()
void | gtk_plot_array_list_add ()
void | gtk_plot_array_list_remove ()
GtkPlotArray * | gtk_plot_array_list_get ()
void | gtk_plot_array_list_clear ()

## Properties

gpointer | array-data | Read / Write
gchar * | description | Read / Write
gboolean | independent | Read / Write
gchar * | label | Read / Write
gchar * | name | Read / Write
gboolean | own-data | Read / Write
gboolean | required | Read / Write
gdouble | scale | Read / Write
gint | size | Read / Write
gint | type | Read / Write

## Types and Values

struct | GtkPlotArray
struct | GtkPlotArrayList

## Object Hierarchy

        GObject
        ╰── GtkPlotArray

## Includes

    #include <gtkextra.h>

## Description

## Functions

### gtk_plot_array_new ()

    GObject *
    gtk_plot_array_new (const gchar *name,
                        gpointer array,
                        gint size,
                        GType type,
                        gboolean own_data);

### gtk_plot_array_set ()

    void
    gtk_plot_array_set (GtkPlotArray *array,
                        gpointer data_array,
                        gint size,
                        GType type);

### gtk_plot_array_set_label ()

    void
    gtk_plot_array_set_label (GtkPlotArray *array,
                              const gchar *label);

### gtk_plot_array_set_description ()

    void
    gtk_plot_array_set_description (GtkPlotArray *array,
                                    const gchar *desc);

### gtk_plot_array_set_scale ()

    void
    gtk_plot_array_set_scale (GtkPlotArray *array,
                              gdouble scale);

### gtk_plot_array_set_required ()

    void
    gtk_plot_array_set_required (GtkPlotArray *array,
                                 gboolean required);

### gtk_plot_array_set_independent ()

    void
    gtk_plot_array_set_independent (GtkPlotArray *array,
                                    gboolean independent);

### gtk_plot_array_get_data_type ()

    GType
    gtk_plot_array_get_data_type (GtkPlotArray *array);

### gtk_plot_array_get_name ()

    const gchar *
    gtk_plot_array_get_name (GtkPlotArray *array);

### gtk_plot_array_get_label ()

    const gchar *
    gtk_plot_array_get_label (GtkPlotArray *array);

### gtk_plot_array_get_description ()

    const gchar *
    gtk_plot_array_get_description (GtkPlotArray *array);

### gtk_plot_array_required ()

    gboolean
    gtk_plot_array_required (GtkPlotArray *array);

### gtk_plot_array_independent ()

    gboolean
    gtk_plot_array_independent (GtkPlotArray *array);

### gtk_plot_array_get_scale ()

    gdouble
    gtk_plot_array_get_scale (GtkPlotArray *array);

### gtk_plot_array_get_size ()

    gint
    gtk_plot_array_get_size (GtkPlotArray *array);

### gtk_plot_array_get_float ()

    gfloat *
    gtk_plot_array_get_float (GtkPlotArray *array);

### gtk_plot_array_get_double ()

    gdouble *
    gtk_plot_array_get_double (GtkPlotArray *array);

### gtk_plot_array_get_int ()

    gint *
    gtk_plot_array_get_int (GtkPlotArray *array);

### gtk_plot_array_get_bool ()

    gboolean *
    gtk_plot_array_get_bool (GtkPlotArray *array);

### gtk_plot_array_get_string ()

    gchar **
    gtk_plot_array_get_string (GtkPlotArray *array);

#### Parameters

array | the GtkPlotArray |

#### Returns

(transfer none) the data string array

### gtk_plot_array_get_pointer ()

    gpointer *
    gtk_plot_array_get_pointer (GtkPlotArray *array);

#### Parameters

array | the GtkPlotArray |

#### Returns

(transfer none) the data pointer array

### gtk_plot_array_free ()

    void
    gtk_plot_array_free (GtkPlotArray *array);

### gtk_plot_array_list_new ()

    GObject *
    gtk_plot_array_list_new (void);

### gtk_plot_array_list_add ()

    void
    gtk_plot_array_list_add (GtkPlotArrayList *set,
                             GtkPlotArray *array);

### gtk_plot_array_list_remove ()

    void
    gtk_plot_array_list_remove (GtkPlotArrayList *set,
                                GtkPlotArray *array);

### gtk_plot_array_list_get ()

    GtkPlotArray *
    gtk_plot_array_list_get (GtkPlotArrayList *set,
                             const gchar *name);

#### Parameters

set | a GtkPlotArrayList |
name | the name to be searched for |

#### Returns

(transfer none) the named GtkPlotArray or NULL

### gtk_plot_array_list_clear ()

    void
    gtk_plot_array_list_clear (GtkPlotArrayList *set);

## Types and Values

### struct GtkPlotArray

    struct GtkPlotArray;

The GtkPlotArray struct contains only private data. It should only be accessed through the functions described below.

### struct GtkPlotArrayList

    struct GtkPlotArrayList {
    };

The GtkPlotArrayList struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“array-data”` property

      “array-data”               gpointer

Data.

Flags: Read / Write

### The `“description”` property

      “description”              gchar *

Description.

Flags: Read / Write

Default value: NULL

### The `“independent”` property

      “independent”              gboolean

Independent.

Flags: Read / Write

Default value: FALSE

### The `“label”` property

      “label”                    gchar *

Label.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name.

Flags: Read / Write

Default value: NULL

### The `“own-data”` property

      “own-data”                 gboolean

Specifies if data should be freed when the array is destroyed.

Flags: Read / Write

Default value: FALSE

### The `“required”` property

      “required”                 gboolean

Required.

Flags: Read / Write

Default value: FALSE

### The `“scale”` property

      “scale”                    gdouble

Scale.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“size”` property

      “size”                     gint

Size.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“type”` property

      “type”                     gint

Type.

Flags: Read / Write

Allowed values: >= 0

Default value: 0